import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JSlider;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import org.jfree.data.general.DefaultValueDataset;
import org.jfree.data.xy.XYSeries;

/* TopLevelDemo.java requires no other files. */
public class Analizador extends JPanel implements ChangeListener {
    /**
     * Create the GUI and show it.  For thread safety,
     * this method should be invoked from the
     * event-dispatching thread.
     */
	
	JSlider sliderBass, sliderMedium, sliderHigh;
    DefaultValueDataset datasetBass, datasetMedium, datasetHigh;
	private Paralelo pp;
	int alto,bajo,medio;
	
	Analizador(Paralelo pp) {
		
		this.pp=pp;
		
		alto=0;
		medio=0;
		bajo=0;
        //Create and set up the window.
       
        //Create a yellow label to put in the content pane.
		datasetBass = new DefaultValueDataset(60);
        datasetMedium = new DefaultValueDataset(60);
        datasetHigh = new DefaultValueDataset(60);
        
        sliderBass = new JSlider(0, 100,60);
        sliderBass.setMajorTickSpacing(10);
        sliderBass.setPaintLabels(true);
        sliderBass.addChangeListener(this);

        
        sliderMedium = new JSlider(0, 100,60);
        sliderMedium.setMajorTickSpacing(10);
        sliderMedium.setPaintLabels(true);
        sliderMedium.addChangeListener(this);

        
        sliderHigh = new JSlider(0, 100,60);
        sliderHigh.setMajorTickSpacing(10);
        sliderHigh.setPaintLabels(true);
        sliderHigh.addChangeListener(this);

        
        add(sliderBass,BorderLayout.WEST);
        add(sliderMedium,BorderLayout.CENTER);
        add(sliderHigh,BorderLayout.EAST);

    }
	public void stateChanged(ChangeEvent e) {
        this.datasetBass.setValue(new Integer(sliderBass.getValue()));
        this.datasetMedium.setValue(new Integer(sliderMedium.getValue()));
        this.datasetHigh.setValue(new Integer(sliderHigh.getValue()));
    }
	public void analiza(XYSeries series){
		
		//System.out.println(series.getY(100));
		int i=0;
		bajo=0;
		medio=0;
		alto=0;
		
		while(series.getX(i).intValue() < 350){
			if(bajo<series.getY(i).intValue())
				bajo=series.getY(i).intValue();
			i++;
		}
		while(series.getX(i).intValue() < 3000){
			if(medio<series.getY(i).intValue())
				medio=series.getY(i).intValue();
			i++;
		}
		while(series.getX(i).intValue() < 13000){
			if(alto<series.getY(i).intValue())
				alto=series.getY(i).intValue();
			i++;
		}
		if(bajo>datasetBass.getValue().intValue())
			pp.prendeLed(1);
		else
			pp.apagaLed(1);
		if(medio>datasetMedium.getValue().intValue())
			pp.prendeLed(2);
		else
			pp.apagaLed(2);
		if(alto>datasetHigh.getValue().intValue())
			pp.prendeLed(4);
		else
			pp.apagaLed(4);
	}

}
