import java.awt.Container;

import javax.swing.BoxLayout;
import javax.swing.JFrame;

public class Reproductor extends JFrame{ 
	 
	private static Player crts;
	private static Paralelo pp;
	private static Graficador grf;
	private Analizador anl;
	
	public Reproductor()
	{  
//		Create and set up the window.
        JFrame frame = new JFrame("BoxLayoutDemo");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        //Set up the content pane.
        Container pane = frame.getContentPane();
        pane.setLayout(new BoxLayout(pane, BoxLayout.Y_AXIS));
        
        //inicializamos los componentes
        grf  = new Graficador(0,100);
        pp = new Paralelo();
        anl = new Analizador(pp);
        crts = new Player(grf,anl);
		
        
        //aderimos todos los componenetes
		pane.add(crts);
		pane.add(pp);
        pane.add(grf);
        pane.add(anl);
        
        //Display the window.
        frame.pack();
        frame.setVisible(true);
	}

	public static void main(String[] args)
	{  
		Reproductor frame = new Reproductor();
		
	}
}